# Create

Launch stage: GA

`POST /api/2.0/accounts/{account_id}/private-access-settings`

Creates a private access settings configuration, which represents
 network access restrictions for workspace resources. Private access
 settings configure whether workspaces can be accessed from the public
 internet or only from private endpoints.

API scopes: networking

Clouds: AWS, GCP

## Path parameters

- `account_id` (string, optional)

## Request body

- `private_access_settings_name` (string, optional)
  The human-readable name of the private access settings object.
- `region` (string, optional)
  The AWS region for workspaces attached to this private access settings object.
- `public_access_enabled` (boolean, optional)
  Determines if the workspace can be accessed over public internet. For fully private workspaces, you can optionally specify false, but only if you implement both the front-end and the back-end PrivateLink connections. Otherwise, specify true, which means that public access is enabled.
- `private_access_level` (string, optional)
  The private access level controls which VPC endpoints can connect to the UI or API of any workspace that attaches this private access settings object.
   `ACCOUNT` level access (the default) allows only VPC endpoints that are registered in your <Databricks> account connect to your workspace.
   `ENDPOINT` level access allows only specified VPC endpoints connect to your workspace. For details, see allowed_vpc_endpoint_ids.
  Possible values: `ENDPOINT`, `ACCOUNT`
- `allowed_vpc_endpoint_ids` (array of string, optional)
  An array of Databricks VPC endpoint IDs. This is the <Databricks> ID returned when registering the VPC endpoint configuration in your <Databricks> account. This is not the ID of the VPC endpoint in AWS.
   Only used when private_access_level is set to ENDPOINT. This is an allow list of VPC endpoints registered in your <Databricks> account that can connect to your workspace over AWS PrivateLink.
   Note: If hybrid access to your workspace is enabled by setting public_access_enabled to true, this control only works for PrivateLink connections. To control how your workspace is accessed via public internet, see IP access lists.

## Returns

Returns the PrivateAccessSettings object.

## Response

```json
{
  "private_access_settings_id": "string",
  "account_id": "string",
  "private_access_settings_name": "string",
  "region": "string",
  "public_access_enabled": true,
  "private_access_level": "string",
  "allowed_vpc_endpoint_ids": [
    "string"
  ]
}
```

